Skip to main content
POST
/
workspaces
/
{workspace_id}
/
schedules
Error
A valid request URL is required to generate request examples
{
  "id": "<string>",
  "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "workflow_id": "<string>",
  "inputs": {},
  "cron": "<string>",
  "every": "<string>",
  "offset": "<string>",
  "start_at": "2023-11-07T05:31:56Z",
  "end_at": "2023-11-07T05:31:56Z",
  "timeout": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

workspace_id
string<uuid>
required

Body

application/json
workflow_id
required
Pattern: wf_[0-9a-zA-Z]+
inputs
Inputs · object | null
cron
string | null
every
string<duration> | null

ISO 8601 duration string

offset
string<duration> | null

ISO 8601 duration string

start_at
string<date-time> | null

ISO 8601 datetime string

end_at
string<date-time> | null

ISO 8601 datetime string

status
enum<string>
default:online
Available options:
online,
offline
timeout
number
default:0

The maximum number of seconds to wait for the workflow to complete

Response

Successful Response

id
string
required
workspace_id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
workflow_id
string
required
status
enum<string>
required
Available options:
online,
offline
inputs
Inputs · object | null
cron
string | null
every
string<duration> | null
offset
string<duration> | null
start_at
string<date-time> | null
end_at
string<date-time> | null
timeout
number | null